org.eclipse.eef

## Interface EEFHyperlinkStyle

All Superinterfaces:
  EEFWidgetStyle, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  EEFHyperlinkStyleImpl

    public interface EEFHyperlinkStyle
    extends EEFWidgetStyle

A representation of the model object 'EEF Hyperlink Style'. Represents a style that can be applied on hyperlink widgets.

The following features are supported:

- `Background Color Expression`
- `Foreground Color Expression`
- `Font Name Expression`
- `Font Size Expression`
- `Font Style Expression`

See Also:
  `EefPackage.getEEFHyperlinkStyle()`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getBackgroundColorExpression()` Returns the value of the 'Background Color Expression' attribute.
`java.lang.String` `getFontNameExpression()` Returns the value of the 'Font Name Expression' attribute.
`java.lang.String` `getFontSizeExpression()` Returns the value of the 'Font Size Expression' attribute.
`java.lang.String` `getFontStyleExpression()` Returns the value of the 'Font Style Expression' attribute.
`void` `setBackgroundColorExpression(java.lang.String value)` Sets the value of the '`Background Color Expression`' attribute.
`void` `setFontNameExpression(java.lang.String value)` Sets the value of the '`Font Name Expression`' attribute.
`void` `setFontSizeExpression(java.lang.String value)` Sets the value of the '`Font Size Expression`' attribute.
`void` `setFontStyleExpression(java.lang.String value)` Sets the value of the '`Font Style Expression`' attribute.

### Methods inherited from interface org.eclipse.eef.EEFWidgetStyle

`getLabelBackgroundColorExpression, getLabelFontNameExpression, getLabelFontSizeExpression, getLabelFontStyleExpression, getLabelForegroundColorExpression, setLabelBackgroundColorExpression, setLabelFontNameExpression, setLabelFontSizeExpression, setLabelFontStyleExpression, setLabelForegroundColorExpression`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getBackgroundColorExpression

    java.lang.String getBackgroundColorExpression()

Returns the value of the 'Background Color Expression' attribute. Defines the background color of the widget. It must be defined as hex (#000000) or RGB (rgb(0,0,0)).

Returns:
  the value of the 'Background Color Expression' attribute.
See Also:
  `setBackgroundColorExpression(String)`, `EefPackage.getEEFHyperlinkStyle_BackgroundColorExpression()`

#### setBackgroundColorExpression

    void setBackgroundColorExpression(java.lang.String value)

Sets the value of the '`Background Color Expression`' attribute.

Parameters:
  `value` - the new value of the 'Background Color Expression' attribute.
See Also:
  `getBackgroundColorExpression()`

#### getFontNameExpression

    java.lang.String getFontNameExpression()

Returns the value of the 'Font Name Expression' attribute. Defines the font's name of the widget.

Returns:
  the value of the 'Font Name Expression' attribute.
See Also:
  `setFontNameExpression(String)`, `EefPackage.getEEFHyperlinkStyle_FontNameExpression()`

#### setFontNameExpression

    void setFontNameExpression(java.lang.String value)

Sets the value of the '`Font Name Expression`' attribute.

Parameters:
  `value` - the new value of the 'Font Name Expression' attribute.
See Also:
  `getFontNameExpression()`

#### getFontSizeExpression

    java.lang.String getFontSizeExpression()

Returns the value of the 'Font Size Expression' attribute. Defines the font's size of the widget.

Returns:
  the value of the 'Font Size Expression' attribute.
See Also:
  `setFontSizeExpression(String)`, `EefPackage.getEEFHyperlinkStyle_FontSizeExpression()`

#### setFontSizeExpression

    void setFontSizeExpression(java.lang.String value)

Sets the value of the '`Font Size Expression`' attribute.

Parameters:
  `value` - the new value of the 'Font Size Expression' attribute.
See Also:
  `getFontSizeExpression()`

#### getFontStyleExpression

    java.lang.String getFontStyleExpression()

Returns the value of the 'Font Style Expression' attribute. Defines the font's style of the widget.

Returns:
  the value of the 'Font Style Expression' attribute.
See Also:
  `setFontStyleExpression(String)`, `EefPackage.getEEFHyperlinkStyle_FontStyleExpression()`

#### setFontStyleExpression

    void setFontStyleExpression(java.lang.String value)

Sets the value of the '`Font Style Expression`' attribute.

Parameters:
  `value` - the new value of the 'Font Style Expression' attribute.
See Also:
  `getFontStyleExpression()`